<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission
        android:name="android.permission.PACKAGE_USAGE_STATS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.INTERNET" />

    <queries>
        <intent>
            <action android:name="android.intent.action.MAIN" />
        </intent>
    </queries>

    <application
        android:name=".ApplockSkin"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/icon_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/icon_logo"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:targetApi="31">
        <activity
            android:name=".activity.SearchActivity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".activity.SettingActivity"
            android:exported="false" />
        <activity
            android:name=".activity.PermissionActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service
            android:name=".tool.Myservice"
            tools:ignore="Instantiatable" />

        <activity
            android:name=".activity.SetPWDActivity"
            android:exported="false" />
        <activity
            android:name=".activity.MainActivity"
            android:exported="true" />
    </application>

</manifest>